Bug 130635 - refocus to different app does not update the gimlet applet's text string
refocus to different app does not update the gimlet applet's text string
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
Blocks: IIIMF
  Show dependency treegraph
Reported: 2004-08-23 02:24 EDT by Leon Ho
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 00:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
illustrate cn and ja LE on the same desktop (314.07 KB, image/png)
2004-09-15 02:38 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Leon Ho 2004-08-23 02:24:19 EDT
Description of problem:
When user refocus to different app. the applet string does not update.

Version-Release number of selected component (if applicable):
1.0.3-1.20040823_1330011 (it may applies to our built pkg one as well)

How reproducible:

Steps to Reproduce:
1. gedit
2. ctrl-space to activiate
3. run gucharmap, click onto the textedit widget
4. look at the applet text string
Actual results:
it is activiated

Expected results:
should be deactiviated

Additional info:
Comment 1 Lawrence Lim 2004-08-29 23:36:10 EDT
Description still exist in rawhide (im-sdk-12.0.1-1)
Comment 2 Jens Petersen 2004-08-31 00:03:28 EDT
This looks a bit tricky, it actually seems to depend on
which gtk widget in gucharmap gets focus.

[I presume you mean with status in-the-panel.]
Comment 3 Warren Togami 2004-09-07 23:01:16 EDT
(making bug public)

Jens, could you please consider making a public repository of your new
gimlet package, similar to arjanv's popular kernel repository?
Comment 4 Jens Petersen 2004-09-08 02:29:24 EDT
Warren, that is possible - though first I would like
to commit my update upstream.
Comment 6 Lawrence Lim 2004-09-15 02:35:17 EDT
I have tested with the following configuration, and please refer to
the attached screenshot as well.

1) gnome-im-properties -> placement: "On the desktop panel"
2) im-sdk-12.0.1-6.svn1891
Comment 7 Lawrence Lim 2004-09-15 02:38:15 EDT
Created attachment 103857 [details]
illustrate cn and ja LE on the same desktop

Notice the GIMLET display. The text states zh while the status shows [ja].
Actual input is using CannaLE in gnome-terminal.
Comment 8 Lawrence Lim 2004-09-15 03:02:51 EDT
Comment #6 &#7 is related to bug 131870.

My bad. :)
Comment 9 Lawrence Lim 2004-09-15 03:06:49 EDT
Confirmed fixed in im-sdk-12.0.1-6.svn1891.
Comment 10 Leon Ho 2004-09-21 00:02:51 EDT
Confirmed it is fix. Thanks Jens. Closing now.

Note You need to log in before you can comment on or make changes to this bug.